# $Revision: 1.9 $, $Date: 2005/12/26 00:17:51 $

%define		module	PyLTXML

Summary:	Python LT XML interface
Summary(pl):	Interfejs Pythona do LT XML
Name:		python-%{module}
Version:	1.3
Release:	2
License:	GPL
Group:		Libraries/Python
Source0:	ftp://ftp.cogsci.ed.ac.uk/pub/LTXML/%{module}-%{version}.tar.gz
# Source0-md5:	a0f0434c399d2f00e18d1da106dc1707
URL:		http://www.ltg.ed.ac.uk/software/xml/
BuildRequires:	ltxml-devel >= 1.2.5-3
BuildRequires:	python-devel >= 2.2.1
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package interfaces our high-performance validating C API for XML
to Python.

%description -l pl
Ten pakiet jest interfejsem do wysoko wydajnego API kontrolujcego
poprawno XML-a do Pythona.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{rpmcflags} -I/usr/include/ltxml12"; export CFLAGS
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

python setup.py install \
	--root=$RPM_BUILD_ROOT

cp -a example/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

rm -rf $RPM_BUILD_ROOT%{py_sitedir}/%{module}/example
rm -f $RPM_BUILD_ROOT%{py_sitedir}/%{module}/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc 00README
%dir %{py_sitedir}/%{module}
%attr(755,root,root) %{py_sitedir}/%{module}/*.so
%{py_sitedir}/%{module}/*.py[co]
%{_examplesdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-PyLTXML.spec,v $
Revision 1.9  2005/12/26 00:17:51  qboosh
- release 2: rebuild with shared ltxml

Revision 1.8  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.7  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.6  2004/02/23 22:09:01  ankry
- pl fixes, cosmetics

Revision 1.5  2003/07/11 12:28:24  ankry
- URL fixes and other cosmetics

Revision 1.4  2003/06/06 20:23:01  qboosh
- pl

Revision 1.3  2003/05/28 13:01:28  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 06:25:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/05/20 11:50:20  jajcus
- new spec
